﻿program DiceCheck;

type
  Array6 = array[1..6] of integer;

var
  n, i: integer;
  a: Array6;

function isCorrectCube(a: Array6): boolean;
begin
  // Перебор всех возможных пар расположения граней для проверки сумм
  if ((a[1] + a[6] = a[2] + a[5]) and (a[2] + a[5] = a[3] + a[4])) or
     ((a[1] + a[5] = a[2] + a[6]) and (a[2] + a[6] = a[3] + a[4])) or
     ((a[1] + a[4] = a[2] + a[3]) and (a[2] + a[3] = a[5] + a[6])) or
     ((a[1] + a[3] = a[2] + a[4]) and (a[2] + a[4] = a[5] + a[6])) or
     ((a[1] + a[2] = a[3] + a[4]) and (a[3] + a[4] = a[5] + a[6])) or
     ((a[1] + a[2] = a[4] + a[5]) and (a[4] + a[5] = a[3] + a[6])) then
    isCorrectCube := true
  else
    isCorrectCube := false;
end;

begin
  readln(n);
  for i := 1 to n do
  begin
    readln(a[1], a[2], a[3], a[4], a[5], a[6]);
    
    if isCorrectCube(a) then
      writeln('yes')
    else
      writeln('no');
  end;
end.