﻿program DiceCheck;

type
  TIntArray = array[0..5] of Integer;

function CanFormValidDice(nums: TIntArray): Boolean;
var
  i, j, sum: Integer;
  sorted: TIntArray;
  all_pairs_equal: Boolean;
begin
  for i := 0 to 5 do
    sorted[i] := nums[i];
  for i := 0 to 5 do
    for j := i + 1 to 5 do
      if sorted[i] > sorted[j] then
      begin
        sum := sorted[i];
        sorted[i] := sorted[j];
        sorted[j] := sum;
      end;
  all_pairs_equal := False;
  for i := 0 to 2 do
  begin
    sum := sorted[i] + sorted[5 - i];
    if (sorted[0] + sorted[5] = sum) and
       (sorted[1] + sorted[4] = sum) and
       (sorted[2] + sorted[3] = sum) then
    begin
      all_pairs_equal := True;
      Break;
    end;
  end;
  CanFormValidDice := all_pairs_equal;
end;

var
  n, i: Integer;
  nums: TIntArray;
begin
  ReadLn(n);
  for i := 0 to n - 1 do
  begin
    ReadLn(nums[0], nums[1], nums[2], nums[3], nums[4], nums[5]);
    if CanFormValidDice(nums) then
      WriteLn('yes')
    else
      WriteLn('no');
  end;
end.